UbixOS V2 2.0

Functions | Variables
sde.cc File Reference
`#include <sys/types.h>`
`#include <sys/video.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/vitals.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <string.h>`
`#include <sde/sde.h>`
`#include <sde/ogDisplay_UbixOS.h>`
`#include <objgfx40/objgfx40.h>`
Include dependency graph for sde.cc:

Go to the source code of this file.

## Functions
int | sysSDE (struct thread *td, struct sys_sde_args *args)

## Variables
struct sdeWindows * | windows = 0x0

## Function Documentation

## ◆ sysSDE()

int sysSDE | ( | struct thread * | td,
|  | struct sys_sde_args * | args
| ) |  |

Definition at line 45 of file sde.cc.

References _current, sys_sde_args::cmd, drawWindow, taskStruct::id, killWindow, kmalloc(), kprintf(), sdeWindows::next, sdeWindows::prev, sys_sde_args::ptr, registerWindow, vitalsStruct::screen, systemVitals, thread::td_retval, windowReady, and windows.

Here is the call graph for this function:

## Variable Documentation

## ◆ windows

struct sdeWindows* windows = 0x0

Definition at line 43 of file sde.cc.

Referenced by sdeThread(), and sysSDE().